Bug 1435290 - OpsUI - Ansible - Order Service Item - The hosts parameter in the dialog does not inherit what was set in the service
Summary: OpsUI - Ansible - Order Service Item - The hosts parameter in the dialog does...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Provisioning
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.0
Assignee: Bill Wei
QA Contact: Shveta
URL:
Whiteboard: catalog:ansible_embed
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-23 13:57 UTC by John Hardy
Modified: 2017-07-11 19:43 UTC (History)
7 users (show)

Fixed In Version: 5.8.0.8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-31 14:43:52 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)
dialog order (22.98 KB, image/png)
2017-03-23 13:57 UTC, John Hardy
no flags Details
order_dialog (71.19 KB, image/png)
2017-04-24 06:10 UTC, Aziza Karol
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description John Hardy 2017-03-23 13:57:25 UTC
Created attachment 1265771 [details]
dialog order

Description of problem:
The hosts parameter in the dialog does not inherit what was set in the service

Version-Release number of selected component (if applicable):
5.8.0.7

How reproducible:
Always

Steps to Reproduce:
1. Create an Ansible Playbook service 
2. Set the hosts field to some values other than localhost.
3. Order the service, notice the dialog has reset the hosts to localhost.

Actual results:
hosts field in dialog does not inherit the service settings for same field?

Expected results:
What ever is set as hosts in the service item should be carried through to the dialog at time of order, still allowing the user to override though if they wish too.

Additional info:

Comment 3 CFME Bot 2017-03-27 19:41:19 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/cd5d91a2ce07403ab958de0be912c7473ba42c57

commit cd5d91a2ce07403ab958de0be912c7473ba42c57
Author:     Bill Wei <bilwei@redhat.com>
AuthorDate: Fri Mar 24 15:37:49 2017 -0400
Commit:     Bill Wei <bilwei@redhat.com>
CommitDate: Fri Mar 24 15:41:25 2017 -0400

    Pass hosts as a parameter to create the service dialog
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1435290

 app/models/service_template_ansible_playbook.rb | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

Comment 5 Aziza Karol 2017-04-24 06:08:44 UTC
The hosts parameter in the dialog inherits what was set in the service.

Verified:5.8.0.11-beta2.20170418170914_a53d2a7

Comment 6 Aziza Karol 2017-04-24 06:10:58 UTC
Created attachment 1273513 [details]
order_dialog

Comment 7 Aziza Karol 2017-05-16 12:07:56 UTC
Assigning shveta for test case.

Comment 9 errata-xmlrpc 2017-05-31 14:43:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.